// $Id: BankAccountTest.java,v 1.1 2000/09/21 13:28:58 brucker Exp $
package unifreiburg.informatik.softech.ebank.test;
import unifreiburg.informatik.softech.ebank.*;
import java.util.*;

public class BankAccountTest extends TestSuite {
    public String getTestSuiteName() {
        return "Test of BankAccount object";
    }

    public boolean testInit() {
        super.printTestCaseName("Testing constructor BankAccount(int)");
	BankAccount  account = new BankAccount(1);
       	return true;
    }    
    public boolean testGetter() {
	boolean retval=true;
	super.printTestCaseName("Testing getter methods of class BankAccount");
	BankAccount account = new BankAccount(3,"USD",100.0);
	if(account.getBalance()!=100.0) {
	    retval = false;
	}
	if(account.getCurrency()!="USD") {
	    retval = false;
	}
	return retval;
    }
    public boolean testMakeWithdrawal() {
	boolean retval=true;
	boolean state=false;
	super.printTestCaseName("Testing makeWithdrawal()");
	BankAccount account = new BankAccount(3,"USD",100.0);
	state=account.makeWithdrawal(49.20);
	if((state)&&(account.getBalance()!=50.80)){
	    retval=false;
	}
	
	if(account.makeWithdrawal(-100.00)){
	    //    retval=false;
	}
	return retval;
    }
    public boolean testMakeDeposit() {
	boolean retval=true;
	boolean state=false;
	super.printTestCaseName("Testing makeDeposit()");
	BankAccount account = new BankAccount(3,"USD",100.0);
	state=account.makeDeposit(49.20);
	if((state)&&(account.getBalance()!=149.20)){
	    retval=false;
	}
	if(account.makeWithdrawal(-100.00)){
	    //   retval=false;
	}
	return retval;
    }
    public boolean testSameAccountID() {
	BankAccount account0=new BankAccount(37);
	BankAccount account1=new BankAccount(37);
	return true;
    }
}
