// $Id: CreditAccountTest.java,v 1.1 2000/09/21 13:28:58 brucker Exp $
package unifreiburg.informatik.softech.ebank.test;
import unifreiburg.informatik.softech.ebank.*;
import java.util.*;

public class CreditAccountTest extends TestSuite {
    public String getTestSuiteName() {
        return "Test of CreditAccount object";
    }

    public boolean testInit() {
        super.printTestCaseName("Testing constructor CreditAccount(int)");
	CreditAccount  account = new CreditAccount(1);
       	return true;
    }    
    public boolean testGetter() {
	boolean retval=true;
	super.printTestCaseName("Testing getter am setter methods of class CreditAccount");
	CreditAccount account = new CreditAccount(3,"USD",100.0,-100.0,450.0);
	if(account.getBalance()!=100.0) {
	    retval = false;
	}
	if(account.getCurrency()!="USD") {
	    retval = false;
	}
	if(account.getMaxAmount()!=450.0) {
	    retval = false;
	}
	account.setMaxAmount(550.0);
	if(account.getMaxAmount()!=550.0) {
	    retval = false;
	}
	if(account.getCreditLimit()!=-100.0) {
	    retval = false;
	}
	account.setCreditLimit(-200);
	    if(account.getCreditLimit()!=-200.0) {
	    retval = false;
	}
	return retval;
    }
    public boolean testMakeWithdrawal() {
	boolean retval=true;
	boolean state=false;
	super.printTestCaseName("Testing makeWithdrawal()");
	CreditAccount account = new CreditAccount(3,"USD",0.0,0.0,200);
	state=account.makeWithdrawal(49.20);
	if((state)&&(account.getBalance()!=-49.20)){
	    retval=false;
	}
	return retval;
    }
    public boolean testMakeDeposit() {
	boolean retval=true;
	boolean state=false;
	super.printTestCaseName("Testing makeDeposit()");
	CreditAccount account = new CreditAccount(3,"USD",100.0,0.0,200.0);
	state=account.makeDeposit(349.20);
	if((state)&&(account.getBalance()!=349.20)){
	    retval=false;
	}
	return retval;
    }
    public boolean testCheckBookSize() {
	CreditAccount account = new CreditAccount(5);
	for(int i=0; i < 22 ; i++) {
	    account.book.add(new Check());
	}
	return true;
    }
}
